import { select, csv } from 'd3';
import { barplot } from './barplot';
// import { legend } from './legend'

const svg = select('body')
  .append('svg')
  .attr('width', innerWidth)
  .attr('height', innerHeight);

const main = () => {
  const data = [
    {
      label: 'Banana',
      Nitrogen: 10,
      Oxygen: 20,
      Hydrogen: 30,
      Helium: 8,
    },
    {
      label: 'Apple',
      Nitrogen: 40,
      Oxygen: 50,
      Hydrogen: 60,
      Helium: 20,
      Aluminium: 25,
    },
    {
      label: 'Mango',
      Nitrogen: 70,
      Helium: 24,
      Oxygen: 80,
      Hydrogen: 90,
    },
    {
      label: 'Orange',
      Nitrogen: 64,
      Helium: 42,
      Oxygen: 56,
      Hydrogen: 20,
    },
  ];
  
  const config = {
   	width: 960,
    height: 500,
    margin: {
      top: 20,
      right: 20,
      bottom: 50,
      left: 50,
    },
    xKey: 'label',
    yKey: ['Nitrogen', 'Oxygen', 'Helium'],
  }
  
  const plot = barplot()
  	.options(config)
  	.data(data)

  svg.call(plot);
  
  // svg.call(plot.data(data.filter(d => d.label != 'Orange')))
};

main();
